qgis crash when moving a georef raster in the list of the layers

2017-12-04 10:15 AM - Lee Han

Status: Closed

Priority: High

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 25513

Description

It happens very often. When I just have georeferenced and added a raster in the canevas, moving it the layer windows makes qgis freezes

then crashes.

(rasters are on a local network if it helps)

User Feedback

Report Details

Crash ID: d22c4ba134070fe7c524a52662e070f58bb91bea

Stack Trace

QgsMapCanvas::setMapTool qgsmapcanvas.cpp:1617

QgisApp::activateDeactivateLayerRelatedActions qgisapp.cpp:11522

QtPrivate::FunctorCall<QtPrivate::IndexesList<0>,QtPrivate::List<QgsMapLayer *>,void,void (__thiscall

QgisApp::*)(QgsMapLayer *)>::call qobjectdefs_impl.h:136

QtPrivate::FunctionPointer<void (__thiscall QgisApp::*)(QgsMapLayer *)>::call<QtPrivate::List<QgsMapLayer *>,void>

qobjectdefs_impl.h:169

QtPrivate::QSlotObject<void (__thiscall QgisApp::*)(QgsMapLayer *),QtPrivate::List<QgsMapLayer *>,void>::impl

qobject_impl.h:120

QMetaObject::activate :

QMetaObject::activate :

QgsLayerTreeView::onCurrentChanged qgslayertreeview.cpp:231

QtPrivate::FunctorCall<QtPrivate::IndexesList<>,QtPrivate::List<>,void,void (__thiscall QgsLayerTreeView::*)(void)>::call

qobjectdefs_impl.h:136

QtPrivate::FunctionPointer<void (__thiscall QgsLayerTreeView::*)(void)>::call<QtPrivate::List<>,void> qobjectdefs_impl.h:169

QtPrivate::QSlotObject<void (__thiscall QgsLayerTreeView::*)(void),QtPrivate::List<>,void>::impl qobject_impl.h:120

QMetaObject::activate :

QMetaObject::activate :

QAbstractItemView::rowsAboutToBeRemoved :

QItemSelectionModel::qt_static_metacall :

QMetaObject::activate :

QMetaObject::activate :

QAbstractItemModel::beginRemoveRows :

QgsLayerTreeModel::nodeWillRemoveChildren qgslayertreemodel.cpp:709

QtPrivate::FunctorCall<QtPrivate::IndexesList<0,1,2>,QtPrivate::List<QgsLayerTreeNode *,int,int>,void,void (__thiscall

QgsLayerTreeModel::*)(QgsLayerTreeNode *,int,int)>::call qobjectdefs_impl.h:136

QtPrivate::FunctionPointer<void (__thiscall QgsLayerTreeModel::*)(QgsLayerTreeNode

*,int,int)>::call<QtPrivate::List<QgsLayerTreeNode *,int,int>,void> qobjectdefs_impl.h:169

QtPrivate::QSlotObject<void (__thiscall QgsLayerTreeModel::*)(QgsLayerTreeNode *,int,int),QtPrivate::List<QgsLayerTreeNode

*,int,int>,void>::impl qobject_impl.h:120

QMetaObject::activate :

QMetaObject::activate :

QtPrivate::FunctorCall<QtPrivate::IndexesList<0,1,2>,QtPrivate::List<QgsLayerTreeNode *,int,int>,void,void (__thiscall

QgsLayerTreeNode::*)(QgsLayerTreeNode *,int,int)>::call qobjectdefs_impl.h:136

QtPrivate::FunctionPointer<void (__thiscall QgsLayerTreeNode::*)(QgsLayerTreeNode

*,int,int)>::call<QtPrivate::List<QgsLayerTreeNode *,int,int>,void> qobjectdefs_impl.h:169
QtPrivate::QSlotObject<void (__thiscall QgsLayerTreeNode::*)(QgsLayerTreeNode *,int,int),QtPrivate::List<QgsLayerTreeNode

*,int,int>,void>::impl qobject_impl.h:120

QMetaObject::activate :

QMetaObject::activate :

QgsLayerTreeNode::removeChildrenPrivate qgslayertreenode.cpp:239

QgsLayerTreeGroup::removeChildren qgslayertreegroup.cpp:163

QgsLayerTreeModel::removeRows qgslayertreemodel.cpp:1064

QAbstractItemView::autoScrollMargin :

QAbstractItemView::startDrag :

QAbstractItemView::startDrag :

QAbstractItemView::mouseMoveEvent :

QTreeViewPrivate::itemDecorationAt :

QTreeView::mouseMoveEvent :

QWidget::event :

QWidgetItem::isEmpty :

RtlInitUnicodeString :

QFrame::event :

QAbstractScrollArea::viewportEvent :

QAbstractItemView::viewportEvent :

QGestureEvent::widget :

QGestureRecognizer::unregisterRecognizer :

QGestureRecognizer::unregisterRecognizer :

QTreeView::viewportEvent :

QStackedWidget::trUtf8 :

QAbstractScrollArea::eventFilter :

QListData::shared_null :

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code revision: commit:d0e927a84f

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2017-12-06 04:42 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

- Subject changed from qgis crash when moving a georef raster in the list of the layers. to qgis crash when moving a georef raster in the list of the layers

What about if the georefrenced raster is saved on a local drive?

What about if you load the georeferenced raster in a fresh project, both from a local network or from a local drive?

#2 - 2017-12-06 04:42 PM - Giovanni Manghi

I assume that following the very same steps is all ok on 2.1.14?

#3 - 2018-02-13 10:49 AM - Nyall Dawson

- Resolution set to not reproducable
- Status changed from Feedback to Closed

Closing due to lack of feedback

2024-04-28 3/3


